//+------------------------------------------------------------------+
//|                                                 Speed.mq4        |
//|                      Copyright  2005, MetaQuotes Software Corp. |
//|                                       http://www.metaquotes.net/ |
//+------------------------------------------------------------------+
#property copyright "Copyright  2005, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net/"

#property indicator_separate_window
#property indicator_buffers 1
#property indicator_color1 Red
#property indicator_level1 1.1618
#property indicator_level2 0
#property indicator_level3 -1.1618

extern int ARSIPeriod = 8;

//---- buffers
double ExtMapBuffer1[];
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
   IndicatorShortName("");
//---- indicators
   SetIndexStyle(0,DRAW_LINE);
   SetIndexBuffer(0,ExtMapBuffer1);
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Accumulation/Distribution                                        |
//+------------------------------------------------------------------+
int start()
  {
   int i,n,Bars1,counted_bars=IndicatorCounted();
   RefreshRates();
//----
   Bars1=Bars/2;
   i=Bars1;
   while(i>=0)   
   {
      ExtMapBuffer1[i]=(iCustom(NULL,0,"Adaptive RSI",ARSIPeriod,0,i)*10000)-(iCustom(NULL,0,"Adaptive RSI",ARSIPeriod,0,i+1)*10000);

      i--;
   }
//----
   return(0);
  }
//+------------------------------------------------------------------+